package com.ruoyi.project.sems.service;

import java.util.List;

import com.ruoyi.project.sems.domain.TReportYlgd;

/**
 * 压力管道年检报告Service接口
 *
 * @author ruoyi
 * @date 2021-09-02
 */
public interface ITReportYlgdService {

    /**
     * 插入需要新增的压力管道年检报告
     *
     * @return
     */
    public int insertByTSpecdevYlgd();

    /**
     * 更新已存在的压力管道年检报告
     *
     * @return
     */
    public int updateByTSpecdevYlgd();

    public int deleteTReportYlgdByIds();

    /**
     * 根据excel导入的数据进行数据更新操作
     * 根据 位号、使用证、注册编号 3个条件去更新
     * @param tReportYlgd excel中获取的数据
     * @return
     */
    public int updateForImport(TReportYlgd tReportYlgd);

    /**
     * 查询压力管道年检报告
     *
     * @param id 压力管道年检报告ID
     * @return 压力管道年检报告
     */
    public TReportYlgd selectTReportYlgdById(Long id);

    /**
     * 查询压力管道年检报告列表
     *
     * @param tReportYlgd 压力管道年检报告
     * @return 压力管道年检报告集合
     */
    public List<TReportYlgd> selectTReportYlgdList(TReportYlgd tReportYlgd);

    /**
     * 新增压力管道年检报告
     *
     * @param tReportYlgd 压力管道年检报告
     * @return 结果
     */
    public int insertTReportYlgd(TReportYlgd tReportYlgd);

    /**
     * 修改压力管道年检报告
     *
     * @param tReportYlgd 压力管道年检报告
     * @return 结果
     */
    public int updateTReportYlgd(TReportYlgd tReportYlgd);

    /**
     * 批量删除压力管道年检报告
     *
     * @param ids 需要删除的压力管道年检报告ID
     * @return 结果
     */
    public int deleteTReportYlgdByIds(Long[] ids);

    /**
     * 删除压力管道年检报告信息
     *
     * @param id 压力管道年检报告ID
     * @return 结果
     */
    public int deleteTReportYlgdById(Long id);
}
